﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Workflow.Activities;
using System.Workflow.ComponentModel;
using System.ComponentModel;

namespace CustomActivities
{
    public class CreateSitePlusNotify : SequenceActivity
    {
        private Microsoft.SharePoint.WorkflowActions.ApplyActivation applyActivation1;
        private CreateSubSite createSubSite1;
        public Microsoft.SharePoint.WorkflowActions.WorkflowContext workflowContext = new Microsoft.SharePoint.WorkflowActions.WorkflowContext();
        private Microsoft.SharePoint.WorkflowActions.SendEmail sendEmail1;
        public static System.Workflow.ComponentModel.DependencyProperty SiteUrlProperty = DependencyProperty.Register("SiteUrl", typeof(System.String), typeof(CustomActivities.CreateSitePlusNotify));
        public static System.Workflow.ComponentModel.DependencyProperty SCAdminEmailProperty = DependencyProperty.Register("SCAdminEmail", typeof(System.String), typeof(CustomActivities.CreateSitePlusNotify));

        public CreateSitePlusNotify()
        {
            InitializeComponent();
        }

        private void InitializeComponent()
        {
            this.CanModifyActivities = true;
            System.Workflow.Runtime.CorrelationToken correlationtoken1 = new System.Workflow.Runtime.CorrelationToken();
            System.Workflow.ComponentModel.ActivityBind activitybind1 = new System.Workflow.ComponentModel.ActivityBind();
            System.Workflow.ComponentModel.ActivityBind activitybind2 = new System.Workflow.ComponentModel.ActivityBind();
            System.Workflow.ComponentModel.ActivityBind activitybind3 = new System.Workflow.ComponentModel.ActivityBind();
            this.sendEmail1 = new Microsoft.SharePoint.WorkflowActions.SendEmail();
            this.createSubSite1 = new CustomActivities.CreateSubSite();
            this.applyActivation1 = new Microsoft.SharePoint.WorkflowActions.ApplyActivation();
            // 
            // sendEmail1
            // 
            this.sendEmail1.BCC = null;
            this.sendEmail1.Body = "Body";
            this.sendEmail1.CC = null;
            correlationtoken1.Name = "CreateToken";
            correlationtoken1.OwnerActivityName = "CreateSitePlusNotify";
            this.sendEmail1.CorrelationToken = correlationtoken1;
            this.sendEmail1.From = null;
            this.sendEmail1.Headers = null;
            this.sendEmail1.IncludeStatus = false;
            this.sendEmail1.Name = "sendEmail1";
            this.sendEmail1.Subject = "Subject";
            activitybind1.Name = "CreateSitePlusNotify";
            activitybind1.Path = "SCAdminEmail";
            this.sendEmail1.SetBinding(Microsoft.SharePoint.WorkflowActions.SendEmail.ToProperty, ((System.Workflow.ComponentModel.ActivityBind)(activitybind1)));
            // 
            // createSubSite1
            // 
            this.createSubSite1.@__Context = null;
            this.createSubSite1.Name = "createSubSite1";
            this.createSubSite1.SiteName = "Contoso Team Site";
            this.createSubSite1.SiteTemplate = CustomActivities.CreateSubSite.SiteTemplates.STS;
            activitybind2.Name = "CreateSitePlusNotify";
            activitybind2.Path = "SiteUrl";
            this.createSubSite1.SetBinding(CustomActivities.CreateSubSite.SiteUrlProperty, ((System.Workflow.ComponentModel.ActivityBind)(activitybind2)));
            // 
            // applyActivation1
            // 
            activitybind3.Name = "CreateSitePlusNotify";
            activitybind3.Path = "workflowContext";
            this.applyActivation1.@__WorkflowProperties = null;
            this.applyActivation1.Name = "applyActivation1";
            this.applyActivation1.SetBinding(Microsoft.SharePoint.WorkflowActions.ApplyActivation.@__ContextProperty, ((System.Workflow.ComponentModel.ActivityBind)(activitybind3)));
            // 
            // CreateSitePlusNotify
            // 
            this.Activities.Add(this.applyActivation1);
            this.Activities.Add(this.createSubSite1);
            this.Activities.Add(this.sendEmail1);
            this.Name = "CreateSitePlusNotify";
            this.CanModifyActivities = false;

        }

        [System.ComponentModel.DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [System.ComponentModel.BrowsableAttribute(true)]
        [System.ComponentModel.CategoryAttribute("Misc")]
        public string SiteUrl
        {
            get
            {
                return ((string)(base.GetValue(CustomActivities.CreateSitePlusNotify.SiteUrlProperty)));
            }
            set
            {
                base.SetValue(CustomActivities.CreateSitePlusNotify.SiteUrlProperty, value);
            }
        }

        [System.ComponentModel.DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [System.ComponentModel.BrowsableAttribute(true)]
        [System.ComponentModel.CategoryAttribute("Misc")]
        public string SCAdminEmail
        {
            get
            {
                return ((string)(base.GetValue(CustomActivities.CreateSitePlusNotify.SCAdminEmailProperty)));
            }
            set
            {
                base.SetValue(CustomActivities.CreateSitePlusNotify.SCAdminEmailProperty, value);
            }
        }
    }
}
