﻿using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Linq;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;
using Microsoft.SharePoint;
using Microsoft.SharePoint.Workflow;
using Microsoft.SharePoint.WorkflowActions;
using System.Xml.Serialization;
using System.Xml;

namespace TestASPNETWorkflowForms.Workflow1
{
    public sealed partial class Workflow1 : SequentialWorkflowActivity
    {
        public Workflow1()
        {
            InitializeComponent();
        }

        public Guid workflowId = default(System.Guid);
        public SPWorkflowActivationProperties workflowProperties = new SPWorkflowActivationProperties();

        string param1;
        string param2;
        private void onWorkflowActivated1_Invoked(object sender, ExternalDataEventArgs e)
        {
            XmlSerializer serializer = new XmlSerializer(typeof(InitiationFormParameters));

            XmlTextReader reader = new XmlTextReader(new System.IO.StringReader(
                onWorkflowActivated1.WorkflowProperties.InitiationData));

            InitiationFormParameters initiationFormData = (InitiationFormParameters)serializer.Deserialize(reader);
            param1 = initiationFormData.InitiationParameter1;
            param2 = initiationFormData.InitiationParameter2;
        }

        private void logToHistoryListActivity1_MethodInvoking(object sender, EventArgs e)
        {
            logToHistoryListActivity1.HistoryDescription = "Param1: " + param1 + " Param2: " + param2;
        }
    }
}
